Skip to main content
GET
/
v1
/
links
/
{link_id}
/
income
/
transactions
/
reports
Retrieve the most recent bank income report
curl --request GET \
  --url https://prod.truv.com/v1/links/{link_id}/income/transactions/reports/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "status": "success",
  "completed_at": "2022-05-04T11:30:00.000Z",
  "days_requested": 60,
  "provider": "<string>",
  "accounts": [
    {
      "id": "24d7e80942ce4ad58a93f70ce4115f5c",
      "created_at": "2022-05-04T11:30:00.000Z",
      "updated_at": "2022-05-04T12:00:00.000Z",
      "type": "CHECKING",
      "subtype": "MONEY_MARKET",
      "mask": "<string>",
      "nickname": "My account",
      "days_available": 365,
      "owners": [
        {
          "id": "2b623fa2fa9e49cea17d9692caa884c5",
          "full_name": "John Doe",
          "email": "john.doe@example.com",
          "phone": "14155554193",
          "address": {
            "street": "1 Morgan Ave",
            "city": "Los Angeles",
            "state": "CA",
            "zip": "90210",
            "country": "US"
          },
          "relation_type": "PRIMARY"
        }
      ]
    }
  ],
  "income": [
    {
      "start_date": "2022-05-04T00:00:00.000Z",
      "end_date": "2022-05-04T00:00:00.000Z",
      "account_id": "24d7e80942ce4ad58a93f70ce4115f5c",
      "total_amount": "200.31",
      "transaction_count": 1,
      "historical_summary": [
        {
          "start_date": "2022-05-04T00:00:00.000Z",
          "end_date": "2022-05-04T00:00:00.000Z",
          "total_amount": "200.31",
          "iso_currency_code": "USD",
          "transactions": [
            {
              "amount": "200.31",
              "iso_currency_code": "USD",
              "date": "2022-05-04T00:00:00.000Z",
              "check_number": "<string>",
              "description": "<string>",
              "pending": true,
              "transaction_id": "7d4fcb86b81a4880955beea558092391"
            }
          ]
        }
      ],
      "avg_deposit_amount": "5000.00",
      "income_description": "Paycheck",
      "income_category": "PAYCHECK",
      "pay_frequency": "SM",
      "next_payment_date": "2022-06-01",
      "iso_currency_code": "USD",
      "historical_average_monthly_income": "10000.00",
      "historical_average_monthly_gross_income": "12000.00",
      "forecasted_average_monthly_income": "10000.00",
      "avg_gross_deposit_amount": "6000.00"
    }
  ],
  "summary": {
    "start_date": "2022-05-04T00:00:00.000Z",
    "end_date": "2022-05-04T00:00:00.000Z",
    "income_sources_count": 2,
    "income_categories_count": 1,
    "income_transactions_count": 17,
    "total_amount": "200.31",
    "historical_average_monthly_gross_income": "200.31",
    "historical_average_monthly_income": "200.31",
    "forecasted_average_monthly_income": "200.31",
    "historical_annual_gross_income": "200.31",
    "historical_annual_income": "200.31",
    "forecasted_annual_income": "200.31",
    "iso_currency_code": "USD"
  },
  "tracking_info": "<string>",
  "access_token": "99dd17074ac94aa9ace2621d657c7610",
  "companies": [
    "<string>"
  ],
  "is_suspicious": true,
  "pdf_report": "https://cdn.truv.com/report.pdf"
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Link ID

Response

status
enum<string>
required
read-only

Status of the report.

Available options:
success,
processing
completed_at
string<date-time> | null
required
read-only

Timestamp when the report was completed.

Example:

"2022-05-04T11:30:00.000Z"

days_requested
integer<int32>
required
read-only

The specific duration in days for which the report is requested to be generated.

Example:

60

provider
string
required
read-only

Data provider ID.

Maximum string length: 64
accounts
object[]
required

List of bank accounts

income
object[]
required

List of bank income sources

summary
object
required
tracking_info
string | null
read-only

Additional optional identifier passed by user.

Maximum string length: 255
access_token
string<uuid>
read-only

Access token of the existing link.

Maximum string length: 64
Example:

"99dd17074ac94aa9ace2621d657c7610"

companies
string[]
read-only

Names of the companies person works for.

is_suspicious
boolean

Flag to indicate if the data from the source is suspicious. E.g. fraud detected in uploaded documents or SSN of the user does not match with the data

pdf_report
string<uri> | null

URL of the PDF report file

Example:

"https://cdn.truv.com/report.pdf"